Returns number of requests to be processed

- « eio_nready

- eio_nthreads »

- PHP Manual
- Eio Functions
- Returns number of requests to be processed

# eio_nreqs

(PECL eio >= 0.0.1dev)

eio_nreqs — Returns number of requests to be processed

### Description

eio_nreqs(): int

eio_nreqs() could be called in a custom loop calling eio_poll().

### Parameters

This function has no parameters.

### Return Values

eio_nreqs() returns number of requests to be processed.

### Examples

Example #1 eio_nreqs() example

    <?php
    function res_cb($data, $result) {
        var_dump($data);
        var_dump($result);
    }

    eio_nop(EIO_PRI_DEFAULT, "res_cb", "1");
    eio_nop(EIO_PRI_DEFAULT, "res_cb", "2");
    eio_nop(EIO_PRI_DEFAULT, "res_cb", "3");

    while (eio_nreqs()) {
        eio_poll();
    }
    ?>

The above example will output something similar to:

    string(1) "1"
    int(0)
    string(1) "3"
    int(0)
    string(1) "2"
    int(0)

### See Also

- eio_poll() - Can be to be called whenever there are pending requests that need finishing
- eio_nready() - Returns number of not-yet handled requests